WordPress.org

Make WordPress Core

Changeset 41295


Ignore:
Timestamp:
08/22/2017 05:09:17 PM (2 years ago)
Author:
johnbillion
Message:

Build/Test tools: Use the latest in the 4.x and 6.x branches of PHPUnit when running tests on Travis for the 4.8 branch.

See #41472

Merges [41294] to the 4.8 branch.

Location:
branches/4.8
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/4.8

  • branches/4.8/.travis.yml

    r41073 r41295  
    6363    case "$TRAVIS_PHP_VERSION" in
    6464      7.1|7.0|nightly)
    65         echo "Using PHPUnit 6.1"
    66         composer global require "phpunit/phpunit=6.1.*"
     65        echo "Using PHPUnit 6.x"
     66        composer global require "phpunit/phpunit:^6"
    6767        ;;
    6868      5.6|5.5|5.4|5.3)
    69         echo "Using PHPUnit 4.8"
    70         composer global require "phpunit/phpunit=4.8.*"
     69        echo "Using PHPUnit 4.x"
     70        composer global require "phpunit/phpunit:^4"
    7171        ;;
    7272      5.2)
Note: See TracChangeset for help on using the changeset viewer.